#
# spec file for package pps-tools
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define version_unconverted 0.0.0+git.20120407

Name:           pps-tools
Version:        0.0.0+git.20120407
Release:        lp150.1.7
Summary:        Userspace tools for the Linux Pulse Per Second subsystem
License:        GPL-2.0+
Group:          Hardware/Other
Url:            http://linuxpps.org
Source:         %{name}-%{version}.tar.xz
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Userland tools to test Linux kernel PPS API. See Documentations/pps/pps.txt
for reference.

%package devel
Summary:        Development files for the LinuxPPS API
Group:          Development/Languages/C and C++

%description devel
This subpackage contains a header-only C API providing a number of
inline C functions that call out to the kernel's Pulse Per Second
API. It is, for example, used by ntpd to interact with timing
devices.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
install -D -m 0755 ppsctl    %{buildroot}%{_bindir}/ppsctl
install -D -m 0755 ppsfind   %{buildroot}%{_bindir}/ppsfind
install -D -m 0755 ppstest   %{buildroot}%{_bindir}/ppstest
install -D -m 0644 timepps.h %{buildroot}%{_includedir}/sys/timepps.h

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/ppsctl
%{_bindir}/ppsfind
%{_bindir}/ppstest

%files devel
%defattr(-,root,root)
%doc COPYING
%{_includedir}/sys/timepps.h

%changelog
* Mon Aug  8 2016 benoit.monin@gmx.fr
- install timepps.h in location specified by RFC 2783
* Wed May 11 2016 mpluskal@suse.com
- Update license information
* Thu May  5 2016 mpluskal@suse.com
- Simplify version scheme (use just date)
* Wed May  4 2016 jengelh@inai.de
- Update description to go a bit more into detail on PPS.
* Sun May  1 2016 mpluskal@suse.com
- Update to version 0.0.0+git.20120407:
  * rename ppsbind to ppsctl
  * ppsctl: don't bind by default
  * add copyright information
  * pps-test: line-flush stdout output
  * Add uninstall production.
  * Add .gitignore for generated files.
  * Install timepps.h in location specified by RFC 2783.
  * Update .gitignore
  * Include our own timepps.h since it is in the same tree
* Sun May  1 2016 matwey.kornilov@gmail.com
- Initial version
